Name: orc
Version: 0.4.9
Release: alt2

Summary: The Oil Runtime Compiler
Group: Development/Other
License: BSD
URL: http://code.entropywave.com/projects/orc/

Source0: http://code.entropywave.com/download/orc/orc-%version.tar.gz

Packager: Paul Wolneykien <manowar@altlinux.ru>

# Automatically added by buildreq on Thu Sep 23 2010
BuildRequires: gtk-doc

%description
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.
The languag is a generic assembly language that represents many of
the features available in SIMD architectures, including saturated
addition and subtraction, and many arithmetic operations.

%package -n lib%name
Summary: The Oil Runtime Compiler library
Group: System/Libraries

%description -n lib%name
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.
The languag is a generic assembly language that represents many of
the features available in SIMD architectures, including saturated
addition and subtraction, and many arithmetic operations.

This package contains the Orc library.

%package -n lib%name-devel
Summary: Development files for liborc
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.
The languag is a generic assembly language that represents many of
the features available in SIMD architectures, including saturated
addition and subtraction, and many arithmetic operations.

This package contains development files for the Orc library.

%package -n lib%name-test
Summary: The Oil Runtime Compiler library
Group: System/Libraries

%description -n lib%name-test
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.
The languag is a generic assembly language that represents many of
the features available in SIMD architectures, including saturated
addition and subtraction, and many arithmetic operations.

This package contains the Orc test library.

%package -n lib%name-test-devel
Summary: Development test files for liborc
Group: Development/C
Requires: lib%name-test = %version-%release
Requires: lib%name-devel = %version-%release

%description -n lib%name-test-devel
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.
The languag is a generic assembly language that represents many of
the features available in SIMD architectures, including saturated
addition and subtraction, and many arithmetic operations.

This package contains development files for the Orc test library.

%package doc
Summary: Dcumentation for Orc
Group: Development/Documentation
BuildArch: noarch

%description doc
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.
The languag is a generic assembly language that represents many of
the features available in SIMD architectures, including saturated
addition and subtraction, and many arithmetic operations.

This package contains documentation for Orc.

%package samples
Summary: Sample programs for the Orc library
Group: Development/Other

%description samples
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.
The languag is a generic assembly language that represents many of
the features available in SIMD architectures, including saturated
addition and subtraction, and many arithmetic operations.

This package contains sample programs for the Orc library.

%prep
%setup -q

%build
%autoreconf
%configure --enable-gtk-doc --disable-static --enable-shared
%make_build

%install
%make_install DESTDIR=%buildroot orcbindir=%{_libexecdir}/orc install

%files
%{_bindir}/orc-bugreport
%{_bindir}/orcc

%files -n lib%name
%{_libdir}/liborc-0.4.so.*

%files -n lib%name-test
%{_libdir}/liborc-test-0.4.so.*

%files -n lib%name-devel
%{_libdir}/pkgconfig/orc-0.4.pc
%dir %{_includedir}/orc-0.4
%dir %{_includedir}/orc-0.4/orc
%{_includedir}/orc-0.4/orc/*.h
#%{_libdir}/liborc-0.4.la
#%{_libdir}/liborc-0.4.a
%{_libdir}/liborc-0.4.so

%files -n lib%name-test-devel
%dir %{_includedir}/orc-0.4/orc-test
%{_includedir}/orc-0.4/orc-test/*.h
#%{_libdir}/liborc-test-0.4.la
#%{_libdir}/liborc-test-0.4.a
%{_libdir}/liborc-test-0.4.so

%files doc
%dir %{_datadir}/gtk-doc/html/orc
%{_datadir}/gtk-doc/html/orc/*.html

%files samples
%dir %{_libexecdir}/orc
%{_libexecdir}/orc/example1
%{_libexecdir}/orc/example2
%{_libexecdir}/orc/example3
%{_libexecdir}/orc/mt19937ar
%{_libexecdir}/orc/volscale

%changelog
* Sun Sep 26 2010 Paul Wolneykien <manowar@altlinux.ru> 0.4.9-alt2
- Fix some of the repocop warnings:
  * liborc-0.4.9-alt1 altlinux-policy-shared-lib-contains-devel-so;
  * liborc-test-0.4.9-alt1 altlinux-policy-shared-lib-contains-devel-so;
  * liborc-devel-0.4.9-alt1 library-pkgnames-static;
  * liborc-test-devel-0.4.9-alt1 library-pkgnames-static;
  * orc-doc-0.4.9-alt1 arch-dep-package-consists-of-usr-share.

* Thu Sep 23 2010 Paul Wolneykien <manowar@altlinux.ru> 0.4.9-alt1
- Initial build for ALT Linux.
- Version 0.4.9.
